### Method

# GSSDP Client guess_user_agent

#### Declaration [src]

    const char*
    gssdp_client_guess_user_agent (
      GSSDPClient* client,
      const char* ip_address
    )

#### Description [src]

Try to get a User-Agent for `ip_address`.

#### Parameters

`ip_address`

  Type: `const char*`

  IP address to guess the user-agent for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const char*`

The User-Agent cached for this IP, `NULL` if none is cached.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.